#ifndef __SCS_UPDATE_H__
#define __SCS_UPDATE_H__

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include <time.h>
#include <dirent.h>
#include <signal.h>

#include "scs_util.h"

struct scs_update_data_st
{
	char s_name[SCS_KEY_MAX];
	char s_icon[SCS_KEY_MAX];
	char s_rpm[SCS_KEY_MAX];
	int s_class;
	char s_version[SCS_KEY_MAX];
	char s_size[SCS_KEY_MIN];
	char s_desc[SCS_TEMP_MAX];
}; 

int scs_parse_file(FILE *fp, char *key, char *value);
int scs_set_update_push(char *data, int *data_len, struct scs_update_data_st *suds);

#endif
