#ifndef __SCS_UTIL_H__
#define __SCS_UTIL_H__

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>

#define SCS_KEY_MIN				32
#define SCS_KEY_MAX				128
#define SCS_TEMP_MAX			1024

#define SCS_PATH_MAX			256
#define SCS_DATA_RESP_NUM		256

#define SCS_RESP_XML_MAX		256
#define SCS_RESP_MSG_MAX		1024
#define SCS_DATA_RESP_XML_MAX	1024*16
#define SCS_DATA_RESP_MSG_MAX	1024*16*SCS_DATA_RESP_NUM+SCS_RESP_MSG_MAX

#define SCS_PUSH_XML_MAX		256
#define SCS_PUSH_MGS_MAX		1024
#define SCS_DATA_PUSH_XML_MAX	1024*16
#define SCS_DATA_PUSH_MSG_MAX	SCS_DATA_PUSH_XML_MAX+SCS_PUSH_MGS_MAX

#define XML_FRAME				"frame"
#define XML_DATAS				"datas"
#define XML_DATA				"data"
#define XML_ACTION 				"action"
#define XML_CLIENT				"client"
#define XML_ARCHITECTURE		"architecture"

#define BAD_CAST_XML_FRAME		BAD_CAST XML_FRAME
#define BAD_CAST_XML_DATAS		BAD_CAST XML_DATAS
#define BAD_CAST_XML_DATA		BAD_CAST XML_DATA
#define BAD_CAST_XML_ACTION 	BAD_CAST XML_ACTION
#define BAD_CAST_XML_CLIENT		BAD_CAST XML_CLIENT
#define BAD_CAST_XML_ARCHITECTURE		BAD_CAST XML_ARCHITECTURE

#define ACTION_JOIN_REQU			"join_requ"
#define ACTION_JOIN_RESP			"join_resp"
#define ACTION_DATA_REQU			"data_requ"
#define ACTION_DATA_RESP			"data_resp"
#define ACTION_DATA_UPDATE_PUSH		"data_update_push"
#define ACTION_DATA_DELETE_PUSH		"data_delete_push"
#define ACTION_DATA_ADD_PUSH		"data_add_push"

#define NO_HAVE_XML_FRAME	0
#define NO_HAVE_XML_DATAS	0
#define NO_HAVE_XML_DATA	0
#define HAVE_XML_FRAME		1
#define HAVE_XML_DATAS		1
#define HAVE_XML_DATA		1

#define SCS_CONFIG_NAME		"scs_name"
#define SCS_CONFIG_ICON		"scs_icon"
#define SCS_CONFIG_RPM		"scs_rpm"
#define SCS_CONFIG_CLASS	"scs_class"
#define SCS_CONFIG_VERSION	"scs_version"
#define SCS_CONFIG_SIZE		"scs_size"
#define SCS_CONFIG_DESC		"scs_desc"

#endif
