
/*
 * Copyright (C), 2017, CS2C.
 * File name :   software.h
 * Author xuye Version: 1.0   Data: 2017.2.13
 * Description:
 *		define structure of software.
 *	ChangeLog:
 */


#ifndef _SOFTWARE_H_
#define _SOFTWARE_H_

#include <mysql/mysql.h>
#include "scs_update.h"

#define SOFTWARE_NAME_LENGTH   256
#define SOFTWARE_ICON_LENGTH   256
#define SOFTWARE_EXEC_LENGTH   256
#define SOFTWARE_VERSION_LENGTH   64
#define SOFTWARE_SIZE_LENGTH   16
#define SOFTWARE_DESCRIPTION_LENGTH   512
#define SOFTWARE_RPMDEPS_LENGTH   512
#define TIME_LENGTH   64


struct software{
	int id;
	char s_name[SOFTWARE_NAME_LENGTH];
	char s_icon[SOFTWARE_ICON_LENGTH];
	char s_exec[SOFTWARE_EXEC_LENGTH];
	char s_rpm[SOFTWARE_NAME_LENGTH];
	char s_version[SOFTWARE_VERSION_LENGTH];
	char s_size[SOFTWARE_SIZE_LENGTH];
	char s_description[SOFTWARE_DESCRIPTION_LENGTH];
	char s_rpmdeps[SOFTWARE_RPMDEPS_LENGTH];
	unsigned int s_star;
	unsigned int s_class;
	char time[TIME_LENGTH];
};

void display_result (MYSQL_RES *result);
void display_software_list(struct software *list , int list_len);
int mysql_get_software_list(int arch, struct software **list, int *list_len);
int mysql_update_software_list(struct scs_update_data_st *suds);


#endif
